/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-07-08 18:27:18
 * @LastEditTime: 2022-07-21 14:21:33
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description:
 */
import React from 'react';
import PropTypes from 'prop-types';
import { Space } from 'antd';
import './index.less';

const MyTabs = ({ tabs, activeKey, style, onChange, keyStr = ['key', 'label'], border = false }) => {
	return (
		<div className={`myTabs ${border ? 'myTabs-border' : ''}`} style={style}>
			<Space size={32} wrap>
				{tabs.map((x, t) => {
					return (
						<div
							onClick={() => onChange(x[keyStr[0]])}
							key={x[keyStr[0]]}
							className={`myTabs-tab ${activeKey === x[keyStr[0]] ? 'myTabs-active' : ''}`}
						>
							{x[keyStr[1]]}
						</div>
					);
				})}
			</Space>
		</div>
	);
};

MyTabs.propTypes = {
	tabs: PropTypes.array,
	activeKey: PropTypes.any,
	style: PropTypes.object,
	onChange: PropTypes.func,
	keyStr: PropTypes.array,
};

export default MyTabs;
